
public class Class355 implements Interface39 {

   public int anInt4465;
   public int anInt4466;
   public Class365 aClass365_4467;
   public int anInt4468;
   public int anInt4469;
   public int anInt4470;
   public int anInt4471;
   public int anInt4472;
   public int anInt4473;
   public Class382 aClass382_4474;
   public boolean aBool4475;
   static int anInt4476;


   public Class373 method229(int var1) {
      return Class373.aClass373_4660;
   }

   public Class373 method230() {
      return Class373.aClass373_4660;
   }

   public static Class355 method6397(RS2Buffer var0) {
      int var1 = var0.readUnsignedByte(-700559597);
      Class382 var2 = Class573.method12190((byte)-1)[var0.readUnsignedByte(-700559597)];
      Class365 var3 = Class55.method1262(387447684)[var0.readUnsignedByte(-700559597)];
      int var4 = var0.method13732(781725842);
      int var5 = var0.method13732(-1712891133);
      int var6 = var0.readUnsignedShort(-937710807);
      int var7 = var0.readUnsignedShort(-937710807);
      int var8 = var0.readInt_(-577886339);
      int var9 = var0.readInt_(662767005);
      int var10 = var0.readInt_(-58056928);
      boolean var11 = var0.readUnsignedByte(-700559597) == 1;
      return new Class355(var1, var2, var3, var4, var5, var6, var7, var8, var9, var10, var11);
   }

   public static Class355 method6398(RS2Buffer var0) {
      int var1 = var0.readUnsignedByte(-700559597);
      Class382 var2 = Class573.method12190((byte)-57)[var0.readUnsignedByte(-700559597)];
      Class365 var3 = Class55.method1262(861613410)[var0.readUnsignedByte(-700559597)];
      int var4 = var0.method13732(-1478630005);
      int var5 = var0.method13732(-1440488164);
      int var6 = var0.readUnsignedShort(-937710807);
      int var7 = var0.readUnsignedShort(-937710807);
      int var8 = var0.readInt_(-1947479218);
      int var9 = var0.readInt_(-813727145);
      int var10 = var0.readInt_(1448357396);
      boolean var11 = var0.readUnsignedByte(-700559597) == 1;
      return new Class355(var1, var2, var3, var4, var5, var6, var7, var8, var9, var10, var11);
   }

   Class355(int var1, Class382 var2, Class365 var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10, boolean var11) {
      this.anInt4468 = var1 * -918311675;
      this.aClass382_4474 = var2;
      this.aClass365_4467 = var3;
      this.anInt4465 = var4 * 501843807;
      this.anInt4473 = 1894663957 * var5;
      this.anInt4472 = var6 * -1115306303;
      this.anInt4466 = 1802939423 * var7;
      this.anInt4469 = -941347293 * var8;
      this.anInt4470 = var9 * -1269832813;
      this.anInt4471 = 1440579287 * var10;
      this.aBool4475 = var11;
   }

   static final void method6399(Class508 var0, byte var1) throws Exception_Sub4 {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[var0.anInt6003 * -937710807];
      float var3 = (float)var0.anIntArray6027[1 + var0.anInt6003 * -937710807] / 1000.0F;
      Class336.aClass35_Sub1_4206.method920(var2, var3, (byte)37);
   }

   static void method6400(int var0) {
      if(Class176.anInt2140 * -25626609 > 0) {
         int var1 = 0;

         for(int var2 = 0; var2 < Class176.aStringArray2134.length; ++var2) {
            if(Class176.aStringArray2134[var2].indexOf("--> ") != -1) {
               ++var1;
               if(var1 == Class176.anInt2140 * -25626609) {
                  Class176.aString2139 = Class176.aStringArray2134[var2].substring(Class176.aStringArray2134[var2].indexOf(62) + 2);
                  break;
               }
            }
         }
      } else {
         Class176.aString2139 = "";
      }

   }

   static final void method6401(Class508 var0, int var1) throws Exception_Sub4 {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[var0.anInt6003 * -937710807];
      int var3 = var0.anIntArray6027[1 + -937710807 * var0.anInt6003];
      Class336.aClass35_Sub1_4206.method978((float)var2, (float)var3, (byte)-27);
   }
}
